Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::NRTM Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::NRTM:

[legend]
Collaboration diagram for ACE_RMCast::NRTM:

[legend]
List of all members.

## Public Member Functions
| map_ (10)
| map_ (10)
NRTM_ptr | clone ()
void | insert (Address const &addr, u64 sn)
u64 | find (Address const &addr) const
bool | empty () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const
## Static Public Member Functions
u32 | max_count (u32 max_size)
## Public Attributes
| __pad0__: Profile (h)
| __pad1__: Profile (id)
## Static Public Attributes
u16 const | id = 0x0006
## Protected Member Functions
virtual Profile_ptr | clone_ ()
i | done ()
i | advance ())
## Protected Attributes
| __pad2__: Profile (nrtm) { for (Map::const_iterator i (nrtm.map_)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< Address, u64, AddressHasher, ACE_Equal_To< Address >, ACE_Null_Mutex > | Map
## Private Attributes
Map | map_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<Address, u64, AddressHasher, ACE_Equal_To<Address>, ACE_Null_Mutex> ACE_RMCast::NRTM::Map`[private]`

## Member Function Documentation

i ACE_RMCast::NRTM::advance | ( |  | ) | `[inline, protected]`

NRTM_ptr ACE_RMCast::NRTM::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::NRTM::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

i ACE_RMCast::NRTM::done | ( |  | ) | `[protected]`

bool ACE_RMCast::NRTM::empty | ( |  | ) | const`[inline]`

u64 ACE_RMCast::NRTM::find | ( | Address const & | addr | ) | const`[inline]`

void ACE_RMCast::NRTM::insert | ( | Address const & | addr,
|  | u64 | sn
| ) | `[inline]`

ACE_RMCast::NRTM::map_ | ( | 10 |  | ) | `[inline]`

ACE_RMCast::NRTM::map_ | ( | 10 |  | ) | `[inline]`

u32 ACE_RMCast::NRTM::max_count | ( | u32 | max_size | ) | `[inline, static]`

virtual void ACE_RMCast::NRTM::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::NRTM::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

## Member Data Documentation

ACE_RMCast::NRTM::__pad0__

ACE_RMCast::NRTM::__pad1__

ACE_RMCast::NRTM::__pad2__`[protected]`

u16 const ACE_RMCast::NRTM::id = 0x0006`[static]`

Map ACE_RMCast::NRTM::map_`[private]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp